Bug 737637 - Extra quotes on QMF_BROKER_HOST and QMF_BROKER_PASSWORD_FILE in section 4.1
Summary: Extra quotes on QMF_BROKER_HOST and QMF_BROKER_PASSWORD_FILE in section 4.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Management_Console_Installation_Guide
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 2.1
: ---
Assignee: Alison Young
QA Contact: Lubos Trilety
URL:
Whiteboard:
Depends On: 738875
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 19:07 UTC by Trevor McKay
Modified: 2012-01-26 19:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-26 19:26:17 UTC


Attachments (Terms of Use)

Description Trevor McKay 2011-09-12 19:07:36 UTC
Description of problem:

Section 4.1 discusses setting values in the 40QMF.config file.  Items 4 and 5 show replaceable values for QMF_BROKER_HOST and QMF_BROKER_PASSWORD file.

The extra quotes present a problem, as might the angle brackets.  We saw a case where a user configured QMF_BROKER_HOST as follows, copying the quotes literally:

QMF_BROKER_HOST = 'localhost'

This breaks, it should be:

QMF_BROKER_HOST = localhost

  We need a clear, unambiguous typographical convention for identifying replaceable values in a configuration file.

Comment 2 Alison Young 2011-10-13 06:06:17 UTC
Change made in revision 1-4
Doc-stage: http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/2/html-single/Management_Console_Installation_Guide/index.html#sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID

Code snippets/comments:

<programlisting>
	<remark>removed quotes from hostname. BZ#737637. AJY</remark>
QMF_BROKER_HOST = &lt;<replaceable>hostname</replaceable>&gt;
</programlisting>

<programlisting>
QMF_BROKER_AUTH_MECH = PLAIN
QMF_BROKER_USERNAME = grid
QMF_BROKER_PASSWORD_FILE = &lt;<replaceable>path</replaceable>&gt;
	<remark>removed quotes from path. BZ#737637. AJY</remark>
</programlisting>

Comment 3 Lubos Trilety 2011-11-02 17:00:39 UTC
The same problem is valid for CONFIGD.QMF_BROKER_HOST, CONFIGD.QMF_BROKER_PORT and CONFIGD.QMF_BROKER_AUTH_MECHANISM in chapter 5.3

Comment 4 Trevor McKay 2011-11-02 18:26:33 UTC
I asked Rob about this a while back, when we reviewed the BZ originally.

Check 4.4.3, "Editing Metadata" in the Grid User Guide.  For remote configuration, the rules are different.  Since these values could conceivably be all numeric, or empty string, the quotes should stay.


String
    Any input that is not a list or a map is interpreted as a string. When a string contains a series of alphabetic characters (letters), it can optionally be surrounded by either single or double quotation marks. When the string is a series of numeric characters only, it must be surrounded by either single or double quotation marks.
    An empty string is represented by quotation marks with no content between them ('' or "").

Comment 5 Lubos Trilety 2011-11-03 08:17:22 UTC
(In reply to comment #4)
> I asked Rob about this a while back, when we reviewed the BZ originally.
> 
> Check 4.4.3, "Editing Metadata" in the Grid User Guide.  For remote
> configuration, the rules are different.  Since these values could conceivably
> be all numeric, or empty string, the quotes should stay.
> 

Hmm, but with quotes it doesn't work, the condor_configd never connects to broker.


11/02 18:38:00 DEBUG: Connecting to broker "'localhost':5672"
11/02 18:38:00 DEBUG: Looking for the store agent
11/02 18:39:01 INFO: Timed out looking for store agent

Comment 7 Lubos Trilety 2011-11-04 16:30:16 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > I asked Rob about this a while back, when we reviewed the BZ originally.
> > 
> > Check 4.4.3, "Editing Metadata" in the Grid User Guide.  For remote
> > configuration, the rules are different.  Since these values could conceivably
> > be all numeric, or empty string, the quotes should stay.
> > 
> 

My bad, I missed that it's for remote configuration (setting a value of parameter in the feature). It worked with quotes, moreover for such purpose it's recommended.


With that on mind all problematic quotas for QMF_BROKER_* were removed.

>>> VERIFIED

Comment 8 Lana Brindley 2012-01-26 19:26:17 UTC
This book is now available on redhat.com/docs. Please raise a new bug if you spot any issues.

Thanks,
LKB


Note You need to log in before you can comment on or make changes to this bug.